Index: src/main/java/com/zinemasterapp/zinemasterapp/controller/UserController.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/controller/UserController.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/controller/UserController.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -4,15 +4,8 @@
 import com.zinemasterapp.zinemasterapp.repository.UserRepository;
 
-import com.zinemasterapp.zinemasterapp.service.EmailService;
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.http.HttpStatus;
 import org.springframework.http.ResponseEntity;
-import org.springframework.security.crypto.password.PasswordEncoder;
 import org.springframework.web.bind.annotation.*;
 
-import java.util.List;
 import java.util.Map;
-import java.util.Optional;
-import java.util.Random;
 
 @RestController
@@ -21,10 +14,5 @@
 public class UserController {
 
-    @Autowired
-    private PasswordEncoder passwordEncoder;//za da go enkodirame passwordot
-
     private final UserRepository userRepository;
-    @Autowired
-    private EmailService emailService;
 
     public UserController(UserRepository userRepository) {
@@ -43,114 +31,3 @@
         return ResponseEntity.ok().build();
     }
-    @GetMapping
-    public ResponseEntity<List<User>> getAllUsers() {
-        List<User> users = userRepository.findAll();
-        return ResponseEntity.ok(users);
-    }
-
-    @PutMapping("/{id}/role")
-    public ResponseEntity<?> updateUserRole(@PathVariable String id, @RequestBody Map<String, String> body) {//najlesno e so hash
-        Optional<User> userOpt = userRepository.findById(id);
-        if (userOpt.isEmpty()) return ResponseEntity.notFound().build();
-
-        String newRole = body.get("userType");
-        User user = userOpt.get();
-        user.setUserType(newRole);
-        userRepository.save(user);
-        return ResponseEntity.ok().build();
-    }
-
-    @PutMapping("/{id}/access")
-    public ResponseEntity<?> updateAccess(@PathVariable String id, @RequestBody Map<String, Integer> body) {
-        Optional<User> userOpt = userRepository.findById(id);
-        if (userOpt.isEmpty()) return ResponseEntity.notFound().build();
-
-        User user = userOpt.get();
-        user.setAccess(body.get("access"));
-        userRepository.save(user);
-        return ResponseEntity.ok().build();
-    }
-
-    @PostMapping
-    public ResponseEntity<?> createUser(@RequestBody User user) {
-        System.out.println("Stigna za " + user.getName());//MORA DA IMA ADRESA KADE RABOTI KORISNIKOT!!
-
-        String uniqueId;
-        do {
-            uniqueId = "U" + System.currentTimeMillis() + String.format("%03d", new Random().nextInt(1000));
-        } while (userRepository.existsById(uniqueId));
-        user.setId(uniqueId);
-
-        String username = generateUniqueUsername(user.getName(), user.getSurname());
-        user.setUsername(username);
-
-        user.setPassword(passwordEncoder.encode(user.getPassword()));
-
-        userRepository.save(user);
-
-        String subject = "Ваши податоци за пристап до системот ZineMaster";
-        String body = "Почитуван/а " + user.getName() + ",\n\n"
-                + "Вашиот кориснички профил е успешно креиран.\n"
-                + "Корисничко име: " + username + "\n"
-                + "Лозинка: test123\n\n"
-                + "Ве молиме најавете се и променете ја лозинката при прво користење.\n\n"
-                + "Поздрав,\nZineMaster тим";
-
-        emailService.sendEmail(user.getEmail(), subject, body);
-
-        return ResponseEntity.ok().build();
-    }
-
-
-    private String generateUniqueUsername(String name, String surname) {
-        String baseUsername = name.toLowerCase() + "." + surname.toLowerCase();
-        String username = baseUsername;
-        int counter = 1;
-
-        while (userRepository.findByUsername(username).isPresent()) {
-            username = baseUsername + counter;
-            counter++;
-        }
-
-        return username;
-    }
-
-    @PutMapping("/{id}")
-    public ResponseEntity<?> updateUser(@PathVariable String id, @RequestBody User updatedUser) {
-        Optional<User> optUser = userRepository.findById(id);
-        if (optUser.isEmpty()) return ResponseEntity.notFound().build();
-
-        User user = optUser.get();
-        user.setName(updatedUser.getName());
-        user.setSurname(updatedUser.getSurname());
-        user.setStartDate(updatedUser.getStartDate());
-        user.setUserType(updatedUser.getUserType());
-        user.setEmail(updatedUser.getEmail());
-        user.setAddress(updatedUser.getAddress());//sve setirame
-
-        userRepository.save(user);
-        return ResponseEntity.ok().build();
-    }
-
-
-    @GetMapping("/{id}/processed-count")//isto kako so notificationcontroller samo ova e za drugi promenlivi
-    public ResponseEntity<Integer> getProcessedCount(@PathVariable String id) {
-        return userRepository.findById(id)
-                .map(user -> ResponseEntity.ok(user.getRequestsProcessed()))
-                .orElse(ResponseEntity.notFound().build());
-    }
-
-    @PostMapping("/{id}/processed-count/reset")
-    public ResponseEntity<Object> resetProcessedCount(@PathVariable String id) {
-        return userRepository.findById(id)
-                .map(user -> {
-                    user.setRequestsProcessed(0);
-                    userRepository.save(user);
-                    return ResponseEntity.ok().build();
-                })
-                .orElse(ResponseEntity.notFound().build());
-    }
-
-
-
 }
Index: src/main/java/com/zinemasterapp/zinemasterapp/model/Category.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/model/Category.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/model/Category.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -2,12 +2,7 @@
 
 
-import com.fasterxml.jackson.annotation.JsonIgnore;
 import jakarta.persistence.Entity;
 import jakarta.persistence.Id;
-import jakarta.persistence.ManyToMany;
 import jakarta.persistence.Table;
-
-import java.util.HashSet;
-import java.util.Set;
 
 @Entity
@@ -18,25 +13,4 @@
     private String id;
     private String name;
-    private boolean accessible = true;
-
-    @ManyToMany(mappedBy = "categories")
-    private Set<Product> products = new HashSet<>();
-
-    @JsonIgnore
-    public Set<Product> getProducts() {
-        return products;
-    }
-
-    public void setProducts(Set<Product> products) {
-        this.products = products;
-    }
-
-    public boolean isAccessible() {
-        return accessible;
-    }
-
-    public void setAccessible(boolean accessible) {
-        this.accessible = accessible;
-    }
 
     public String getId() {
Index: src/main/java/com/zinemasterapp/zinemasterapp/model/Product.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/model/Product.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/model/Product.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -4,6 +4,4 @@
 import jakarta.persistence.*;
 
-import java.util.HashSet;
-import java.util.Set;
 import java.util.UUID;
 
@@ -17,16 +15,6 @@
     private int quantity;
 
-    @ManyToMany
-    @JoinTable(name = "product_categories",joinColumns = @JoinColumn(name = "product_id"),
-            inverseJoinColumns = @JoinColumn(name = "category_id"))
-    private Set<Category> categories = new HashSet<>();
-
-    public Set<Category> getCategories() {
-        return categories;
-    }
-
-    public void setCategories(Set<Category> categories) {
-        this.categories = categories;
-    }
+    @Column(name = "category_id")
+    private String categoryId;
 
     @Column(name = "image_url")
@@ -87,4 +75,10 @@
     }
 
+    public String getCategoryId() {
+        return categoryId;
+    }
 
+    public void setCategoryId(String categoryId) {
+        this.categoryId = categoryId;
+    }
 }
Index: src/main/java/com/zinemasterapp/zinemasterapp/model/ProductRequest.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/model/ProductRequest.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/model/ProductRequest.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -4,5 +4,4 @@
 import jakarta.persistence.*;
 
-import java.time.Instant;
 import java.time.LocalDate;
 import java.util.ArrayList;
@@ -22,18 +21,5 @@
     @OneToMany(mappedBy = "request", cascade = CascadeType.ALL, orphanRemoval = false)//site operacii na items ke se ferlektiraat i na narakcata
     private List<ProductRequestItem> items = new ArrayList<>();
-    @Column(nullable = false, updatable = false)
-    private Instant createdAt;
-    @PrePersist
-    public void prePersist() {
-        this.createdAt = Instant.now();
-    }
 
-    public Instant getCreatedAt() {
-        return createdAt;
-    }
-
-    public void setCreatedAt(Instant createdAt) {
-        this.createdAt = createdAt;
-    }
 
     public List<ProductRequestItem> getItems() {
Index: src/main/java/com/zinemasterapp/zinemasterapp/model/User.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/model/User.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/model/User.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -36,87 +36,4 @@
     @Column(name = "profile_pic")
     private String profilePic;
-
-    @Column(nullable = false, unique = true)
-    private String email;
-
-    private String googleSub;
-    private Boolean emailVerified;
-    private String authProvider;
-
-    @Column(name = "unread_notification_count", nullable = false)
-    private int unreadNotificationCount = 0;
-    @Column(name = "pending_email_count", nullable = false)
-    private int pendingEmailCount = 0;
-
-    @Column(name = "requests_processed",nullable = false)
-    private int requestsProcessed = 0;
-
-
-    @Column(name = "unseen_processed_status", nullable = false)
-    private int unseenProcessedStatus;
-
-    public int getUnseenProcessedStatus() {
-        return unseenProcessedStatus;
-    }
-
-    public void setUnseenProcessedStatus(int unseenProcessedStatus) {
-        this.unseenProcessedStatus = unseenProcessedStatus;
-    }
-
-    public int getRequestsProcessed() {
-        return requestsProcessed;
-    }
-
-    public void setRequestsProcessed(int requestsProcessed) {
-        this.requestsProcessed = requestsProcessed;
-    }
-
-    public int getPendingEmailCount() {
-        return pendingEmailCount;
-    }
-
-    public void setPendingEmailCount(int pendingEmailCount) {
-        this.pendingEmailCount = pendingEmailCount;
-    }
-
-    public int getUnreadNotificationCount() {
-        return unreadNotificationCount;
-    }
-
-    public void setUnreadNotificationCount(int unreadNotificationCount) {
-        this.unreadNotificationCount = unreadNotificationCount;
-    }
-
-    public String getGoogleSub() {
-        return googleSub;
-    }
-
-    public void setGoogleSub(String googleSub) {
-        this.googleSub = googleSub;
-    }
-
-    public Boolean getEmailVerified() {
-        return emailVerified;
-    }
-
-    public void setEmailVerified(Boolean emailVerified) {
-        this.emailVerified = emailVerified;
-    }
-
-    public String getAuthProvider() {
-        return authProvider;
-    }
-
-    public void setAuthProvider(String authProvider) {
-        this.authProvider = authProvider;
-    }
-
-    public String getEmail() {
-        return email;
-    }
-
-    public void setEmail(String email) {
-        this.email = email;
-    }
 
     public String getProfilePic() {
Index: src/main/java/com/zinemasterapp/zinemasterapp/repository/CategoryRepository.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/repository/CategoryRepository.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/repository/CategoryRepository.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -4,7 +4,4 @@
 import org.springframework.data.jpa.repository.JpaRepository;
 
-import java.util.List;
-
 public interface CategoryRepository extends JpaRepository<Category, String> {
-    List<Category> findByAccessibleTrue();
 }
Index: src/main/java/com/zinemasterapp/zinemasterapp/repository/ProductRepository.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/repository/ProductRepository.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/repository/ProductRepository.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -9,7 +9,3 @@
 public interface ProductRepository extends JpaRepository<Product, String> {
     List<Product> findByAccessableTrue(Sort sort);//nov kveri metod koj e avtomatski razbran poradi imeto
-
-    List<Product> findByCategories_IdAndAccessableTrue(String categoryId);
-
-
 }
Index: src/main/java/com/zinemasterapp/zinemasterapp/repository/ProductRequestItemRepository.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/repository/ProductRequestItemRepository.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/repository/ProductRequestItemRepository.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -9,4 +9,3 @@
 public interface ProductRequestItemRepository extends JpaRepository<ProductRequestItem, Long> {
     List<ProductRequestItem> findByRequestId(String requestId);
-    List<ProductRequestItem> findByProductId(String productId);
 }
Index: src/main/java/com/zinemasterapp/zinemasterapp/repository/UserRepository.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/repository/UserRepository.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/repository/UserRepository.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -3,95 +3,9 @@
 import com.zinemasterapp.zinemasterapp.model.User;
 import org.springframework.data.jpa.repository.JpaRepository;
-import org.springframework.data.jpa.repository.Modifying;
-import org.springframework.data.jpa.repository.Query;
-import org.springframework.data.repository.query.Param;
-import org.springframework.transaction.annotation.Transactional;
 
-
-import java.util.List;
 import java.util.Optional;
 
 public interface UserRepository extends JpaRepository<User, String> {//a spingboot JPA interface so i can use all kinds of functions
     Optional<User> findByUsername(String username);//SELECT * FROM users WHERE username = ?, in the background
-    Optional<User> findByEmail(String email);
-    List<User> findByUserTypeAndAccess(String user_type, int access);
-
-
-    @Modifying(clearAutomatically = true, flushAutomatically = true)
-    @Query("update User u set u.unreadNotificationCount = u.unreadNotificationCount + 1 where u.id = :userId")
-    int incrementUnread(@Param("userId") String userId);
-
-    @Modifying(clearAutomatically = true, flushAutomatically = true)
-    @Query("update User u set u.unreadNotificationCount = u.unreadNotificationCount + 1 where u.username = :username")
-    int incrementUnreadByUsername(@Param("username") String username);
-
-    @Modifying(clearAutomatically = true, flushAutomatically = true)
-    @Query("update User u set u.unreadNotificationCount = 0 where u.username = :username")
-    int resetUnread(@Param("username") String username);
-
-    @Query("select u.unreadNotificationCount from User u where u.id = :userId")
-    Integer getUnread(@Param("userId") String userId);
-
-    @Modifying
-    @Query("UPDATE User u SET u.pendingEmailCount = u.pendingEmailCount + 1 WHERE u.id = :id")
-    void incrementPendingEmailCount(@Param("id") String id);
-
-    @Modifying
-    @Transactional
-    @Query("update User u set u.pendingEmailCount = 0 where u.username = :username and u.pendingEmailCount > 0")
-    void resetPendingEmail(@Param("username") String username);
-
-    @Query("SELECT u FROM User u WHERE u.userType = 'ProductAdministrator' AND u.pendingEmailCount > 0")
-    List<User> findAdminsWithPending();
-
-    @Modifying(clearAutomatically = true, flushAutomatically = true)
-    @Transactional
-    @Query("update User u set u.requestsProcessed = 0 where u.id = :userId")
-    int resetProccessedRequests(@Param("userId") String userId);
-
-    @Modifying(clearAutomatically = true, flushAutomatically = true)
-    @Transactional
-    @Query("update User u set u.requestsProcessed = u.requestsProcessed + 1 where u.id = :id")
-    int incrementRequestsProcessed(@Param("id") String id);
-
-
-    @Query("select u.requestsProcessed from User u where u.id = :id")
-    Integer getRequestsProcessed(@Param("id") String id);
-
-    @Modifying
-    @Query("""
-         update User u
-            set u.unreadNotificationCount = coalesce(u.unreadNotificationCount,0)+coalesce(u.pendingEmailCount,0),
-                u.pendingEmailCount = 0
-          where u.username = :username
-         """)
-    int transferPendingToUnread(@Param("username") String username);
-
-    @Modifying
-    @Query("update User u set u.pendingEmailCount = 0 where u.id=:userId")
-    int resetPending(@Param("userId") String userId);
-
-
-    @Modifying
-    @Query("update User u set u.unseenProcessedStatus = u.unseenProcessedStatus + 1 where u.id = :id")
-    void incUnseenProcessedStatus(@Param("id") String id);
-
-    @Modifying(clearAutomatically = true, flushAutomatically = true)
-    @Query("""
-    update User u
-       set u.unseenProcessedStatus = coalesce(u.unseenProcessedStatus, 0) + coalesce(u.requestsProcessed, 0),
-           u.requestsProcessed = 0
-     where u.id = :id
-""")
-    void transferProcessedToUnseen(@Param("id") String id);
-
-
-    @Query("select u.unseenProcessedStatus from User u where u.id = :id")
-    int getUnseenProcessedStatus(@Param("id") String id);
-
-    @Modifying
-    @Query("update User u set u.unseenProcessedStatus = 0 where u.id = :id")
-    void resetUnseenProcessedStatus(@Param("id") String id);
-
 }
 
Index: src/main/java/com/zinemasterapp/zinemasterapp/security/CustomUserAccess.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/security/CustomUserAccess.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/security/CustomUserAccess.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -35,2 +35,3 @@
     }
 }
+//moze i bez ova?
Index: src/main/java/com/zinemasterapp/zinemasterapp/security/SecurityConfig.java
===================================================================
--- src/main/java/com/zinemasterapp/zinemasterapp/security/SecurityConfig.java	(revision 157c73048f63a67fef803399cb69ddef6c7f26de)
+++ src/main/java/com/zinemasterapp/zinemasterapp/security/SecurityConfig.java	(revision 3f4c2df3aa5b8db69ab4b083c7200fa885ad43f5)
@@ -1,21 +1,14 @@
 package com.zinemasterapp.zinemasterapp.security;
 
-import com.zinemasterapp.zinemasterapp.security.oauth.OAuth2AuthenticationFailureHandler;
-import com.zinemasterapp.zinemasterapp.security.oauth.OAuth2AuthenticationSuccessHandler;
-import jakarta.servlet.http.HttpServletResponse;
 import org.springframework.context.annotation.Bean;
 import org.springframework.context.annotation.Configuration;
 import org.springframework.http.HttpMethod;
 import org.springframework.security.authentication.AuthenticationManager;
-import org.springframework.security.authentication.ProviderManager;
-import org.springframework.security.authentication.dao.DaoAuthenticationProvider;
 import org.springframework.security.config.annotation.authentication.configuration.AuthenticationConfiguration;
 import org.springframework.security.config.annotation.web.builders.HttpSecurity;
 import org.springframework.security.config.annotation.web.configuration.EnableWebSecurity;
-import org.springframework.security.config.http.SessionCreationPolicy;
 import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
 import org.springframework.security.crypto.password.PasswordEncoder;
 import org.springframework.security.web.SecurityFilterChain;
-import org.springframework.security.web.authentication.UsernamePasswordAuthenticationFilter;
 import org.springframework.web.cors.CorsConfiguration;
 import org.springframework.web.cors.CorsConfigurationSource;
@@ -28,20 +21,6 @@
 public class SecurityConfig {
 
-    private final OAuth2AuthenticationSuccessHandler successHandler;
-    private final OAuth2AuthenticationFailureHandler failureHandler;
-    private final JwtAuthenticationFilter jwtAuthenticationFilter;
-
-
-    public SecurityConfig(OAuth2AuthenticationSuccessHandler successHandler,
-                          OAuth2AuthenticationFailureHandler failureHandler, JwtAuthenticationFilter jwtAuthenticationFilter)
-    {
-        this.successHandler = successHandler;
-        this.failureHandler = failureHandler;
-        this.jwtAuthenticationFilter = jwtAuthenticationFilter;
-    }
-
-
     @Bean
-    public PasswordEncoder passwordEncoder() {//ova go koristime vo usercontroller
+    public PasswordEncoder passwordEncoder() {
         return new BCryptPasswordEncoder();//enkriptirani se passwords
     }
@@ -53,29 +32,12 @@
 
     @Bean
-    SecurityFilterChain securityFilterChain(HttpSecurity http) throws Exception {
+    public SecurityFilterChain securityFilterChain(HttpSecurity http) throws Exception {
         http
                 .csrf(csrf -> csrf.disable())
-                .cors(c -> c.configurationSource(corsConfigurationSource()))
-                .sessionManagement(sm -> sm.sessionCreationPolicy(SessionCreationPolicy.STATELESS))//.IF_REQUIRED
-                .exceptionHandling(ex -> ex.authenticationEntryPoint(
-                        (req, res, e) -> res.sendError(HttpServletResponse.SC_UNAUTHORIZED)))
+                .cors(cors -> cors.configurationSource(corsConfigurationSource()))
                 .authorizeHttpRequests(auth -> auth
-                                .requestMatchers("/oauth2/**","/login/oauth2/**").permitAll()
-                                .requestMatchers(HttpMethod.POST, "/api/users").permitAll()
                         .requestMatchers(HttpMethod.PUT, "/api/users/**").permitAll()
-                                .requestMatchers(HttpMethod.POST, "/api/auth/").permitAll()
-                        .requestMatchers(HttpMethod.POST, "/api/auth/login").permitAll()
                         .requestMatchers(HttpMethod.GET, "/api/requests/**").permitAll()
-                                .requestMatchers(HttpMethod.GET, "/api/users/**").permitAll()
-                                .requestMatchers(HttpMethod.GET, "/api/products/*/reservations-by-month").permitAll()
-                                .requestMatchers(HttpMethod.POST, "/api/products").permitAll()
-                        .requestMatchers(HttpMethod.POST, "/dev/**").permitAll()
-                                .requestMatchers(HttpMethod.PUT, "/api/products/**").permitAll()
-                        .requestMatchers("/api/users/*/processed-count").permitAll()
-                        .requestMatchers("/api/users/*/processed-count/reset").permitAll()
-                        .requestMatchers("/api/users/*/status/unseen-count").permitAll()
-                        .requestMatchers("/api/users/*/status/unseen/reset").permitAll()
-                        .requestMatchers("/api/dev/ping-admins").permitAll()
-                                .requestMatchers(HttpMethod.PUT, "/api/requests/**").permitAll()// mora za put eksplicitno da kazam
+                        .requestMatchers(HttpMethod.PUT, "/api/requests/**").permitAll()// mora za put eksplicitno da kazam
                         .requestMatchers(
                                 "/api/auth/**",
@@ -83,26 +45,10 @@
                                 "/api/requests/**",
                                 "/api/users/**",
-                                "/api/categories/**",
-                                "/api/uploads/**",
-                                "/stomp/**",
-                                "/uploads/**",//ova e za da mozat da se zemat slikite
-                                "/api/dev/**",
-                                "/ws/**",
-                                "/api/admin/**",
-                                "/dev/**",
-                                "/api/auth/login"
-                        ).permitAll()
-                        .requestMatchers(HttpMethod.GET, "/api/products/**").permitAll()
-                        .requestMatchers(HttpMethod.GET, "/api/auth/**").permitAll()
-                      // .requestMatchers("/api/**").authenticated()
+                                "/api/categories/**"
+                        ).permitAll()//samo ovie moze bez loggin se drugo mora logged in
+                        .anyRequest().authenticated()
                        // .anyRequest().permitAll()
-                        .anyRequest().authenticated()
-                )
-                .oauth2Login(o -> o
-                        .successHandler(successHandler)
-                        .failureHandler(failureHandler)
                 );
 
-        http.addFilterBefore(jwtAuthenticationFilter, UsernamePasswordAuthenticationFilter.class);
         return http.build();
     }
@@ -112,8 +58,8 @@
     public CorsConfigurationSource corsConfigurationSource() {
         CorsConfiguration config = new CorsConfiguration();
-        config.setAllowedOrigins(List.of("http://localhost:8082","http://192.168.0.14:8082")); //ovde e frontendot
+        config.setAllowedOrigins(List.of("http://localhost:8082")); //ovde e frontendot
         config.setAllowedMethods(List.of("GET", "POST", "PUT", "DELETE", "OPTIONS"));//koj metodi gi dozvoluvame
         config.setAllowedHeaders(List.of("*"));//koj headeri gi dozvoluvame
-        config.setAllowCredentials(true);//za cookies
+        config.setAllowCredentials(false);//za cookies
 
         UrlBasedCorsConfigurationSource source = new UrlBasedCorsConfigurationSource();//za koj URLS ova sea so go definiravme vazi
